Bug 992958 - IOException: Partition(s) 1 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use. As a result, the old partition(s) will remain in use. You should reboot now before making ... [NEEDINFO]
IOException: Partition(s) 1 on /dev/sdb have been written, but we have been u...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:7f67cd0ee77c5d427a8e92d9ab8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 05:31 EDT by brianmussio
Modified: 2014-02-05 17:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:14:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bcl: needinfo?


Attachments (Terms of Use)

  None (edit)
Description brianmussio 2013-08-05 05:31:19 EDT
Description of problem:
EVENT=post-create component=udisks
        which skdump >/dev/null 2>&1 || exit 0
        for f in /dev/[sh]d[a-z]; do
            test -e "$f" || continue
            skdump "$f"
            echo
        done >smart_data
The following was filed automatically by anaconda:
anaconda 18.37.11 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 213, in commit
    return self.__disk.commit()
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/disklabel.py", line 290, in commit
    self.partedDisk.commit()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1519, in resize
    self.disk.format.commit()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 370, in execute
    self.device.resize()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 323, in processActions
    action.execute()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 323, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 174, in turnOnFilesystems
    storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 114, in doInstall
    turnOnFilesystems(storage)
  File "/usr/lib64/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
    threading.Thread.run(self, *args, **kwargs)
IOException: Partition(s) 1 on /dev/sdb have been written, but we have been unable to inform the kernel of the change, probably because it/they are in use.  As a result, the old partition(s) will remain in use.  You should reboot now before making further changes.

Additional info:
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
cmdline_file:   initrd=initrd0.img root=live:CDLABEL=Fedora-18-x86_64-Live-Desktop.is rootfstype=auto ro rd.live.image quiet  rhgb rd.luks=0 rd.md=0 rd.dm=0  BOOT_IMAGE=vmlinuz0 
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.6.10-4.fc18.x86_64
other involved packages: pyparted-3.8-5.fc18.x86_64, python-libs-2.7.3-13.fc18.x86_64
package:        anaconda-18.37.11-1.fc18.x86_64
packaging.log:  
product:        Fedora
release:        Fedora release 18 (Spherical Cow)
type:           libreport
version:        18
Comment 1 Brian Lane 2013-08-07 20:09:41 EDT
Could you attach the logs from /tmp/ as individual text/plain files? And if you can, retry with F19. That top bit looks like it may be a package script causing problems.
Comment 2 Fedora End Of Life 2013-12-21 09:26:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:14:09 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.